changeset 213:4b7c4bfec7a6

Consolidate CLI scripts. Reviewed-by: omajid, vanaltj Review-thread: http://icedtea.classpath.org/pipermail/thermostat/2012-April/000725.html
author Roman Kennke <rkennke@redhat.com>
date Tue, 10 Apr 2012 23:20:16 +0200
parents 9561fdda8fbc
children 3e3ef085b144
files distribution/scripts/thermostat distribution/scripts/thermostat-agent distribution/scripts/thermostat-db distribution/scripts/thermostat-service
diffstat 4 files changed, 64 insertions(+), 194 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/distribution/scripts/thermostat	Tue Apr 10 23:20:16 2012 +0200
@@ -0,0 +1,64 @@
+#!/bin/bash
+#
+# Copyright 2012 Red Hat, Inc.
+#
+# This file is part of Thermostat.
+#
+# Thermostat is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published
+# by the Free Software Foundation; either version 2, or (at your
+# option) any later version.
+#
+# Thermostat is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Thermostat; see the file COPYING.  If not see
+# <http://www.gnu.org/licenses/>.
+#
+# Linking this code with other modules is making a combined work
+# based on this code.  Thus, the terms and conditions of the GNU
+# General Public License cover the whole combination.
+#
+# As a special exception, the copyright holders of this code give
+# you permission to link this code with independent modules to
+# produce an executable, regardless of the license terms of these
+# independent modules, and to copy and distribute the resulting
+# executable under terms of your choice, provided that you also
+# meet, for each linked independent module, the terms and conditions
+# of the license of that module.  An independent module is a module
+# which is not derived from or based on this code.  If you modify
+# this code, you may extend this exception to your version of the
+# library, but you are not obligated to do so.  If you do not wish
+# to do so, delete this exception statement from your version.
+#
+#####################################################################
+#
+# Some necessary variables.
+JAVA_DIR="@java.dir@"
+JAVA="@java.home@/bin/java"
+
+if [ x"$THERMOSTAT_HOME" = x ] ; then
+  THERMOSTAT_HOME="@thermostat.home@"
+fi
+export THERMOSTAT_HOME
+THERMOSTAT_LIBS="${THERMOSTAT_HOME}/libs"
+
+JCOMMON_JAR="${THERMOSTAT_LIBS}/jcommon.jar"
+MONGO_JAR="${THERMOSTAT_LIBS}/mongo.jar"
+BSON_JAR="${THERMOSTAT_LIBS}/bson.jar"
+JOPT_JAR="${THERMOSTAT_LIBS}/jopt-simple-4.3.jar"
+TOOLS_JAR="@java.home@/../lib/tools.jar"
+
+#SERVICE_CLASSPATH="${JCOMMON_JAR}:${MONGO_JAR}:${BSON_JAR}:${TOOLS_JAR}:${JOPT_JAR}"
+SERVICE_CLASSPATH="${THERMOSTAT_LIBS}/*"
+
+THERM_DIR=${THERMOSTAT_LIBS}
+
+SERVICE_CLASSPATH="${SERVICE_CLASSPATH}:${THERM_DIR}/thermostat-agent-@project.version@.jar:${THERM_DIR}/thermostat-common-@project.version@.jar:${THERM_DIR}/thermostat-tools-@project.version@.jar"
+THERMOSTAT_MAIN="com.redhat.thermostat.tools.Thermostat"
+
+${JAVA} -cp ${SERVICE_CLASSPATH} ${THERMOSTAT_MAIN} "$@"
+exit $?
--- a/distribution/scripts/thermostat-agent	Tue Apr 10 23:19:45 2012 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,65 +0,0 @@
-#!/bin/bash
-#
-# Copyright 2012 Red Hat, Inc.
-#
-# This file is part of Thermostat.
-#
-# Thermostat is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published
-# by the Free Software Foundation; either version 2, or (at your
-# option) any later version.
-#
-# Thermostat is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with Thermostat; see the file COPYING.  If not see
-# <http://www.gnu.org/licenses/>.
-#
-# Linking this code with other modules is making a combined work
-# based on this code.  Thus, the terms and conditions of the GNU
-# General Public License cover the whole combination.
-#
-# As a special exception, the copyright holders of this code give
-# you permission to link this code with independent modules to
-# produce an executable, regardless of the license terms of these
-# independent modules, and to copy and distribute the resulting
-# executable under terms of your choice, provided that you also
-# meet, for each linked independent module, the terms and conditions
-# of the license of that module.  An independent module is a module
-# which is not derived from or based on this code.  If you modify
-# this code, you may extend this exception to your version of the
-# library, but you are not obligated to do so.  If you do not wish
-# to do so, delete this exception statement from your version.
-#
-#####################################################################
-#
-# Some necessary variables.
-JAVA_DIR="@java.dir@"
-JAVA="@java.home@/bin/java"
-
-if [ x"$THERMOSTAT_HOME" = x ] ; then
-  THERMOSTAT_HOME="@thermostat.home@"
-fi
-export THERMOSTAT_HOME
-
-THERMOSTAT_LIBS="${THERMOSTAT_HOME}/libs"
-
-JCOMMON_JAR="${THERMOSTAT_LIBS}/jcommon.jar"
-MONGO_JAR="${THERMOSTAT_LIBS}/mongo.jar"
-BSON_JAR="${THERMOSTAT_LIBS}/bson.jar"
-JOPT_JAR="${THERMOSTAT_LIBS}/jopt-simple-4.3.jar"
-TOOLS_JAR="@java.home@/../lib/tools.jar"
-
-#SERVICE_CLASSPATH="${JCOMMON_JAR}:${MONGO_JAR}:${BSON_JAR}:${TOOLS_JAR}:${JOPT_JAR}"
-SERVICE_CLASSPATH="${THERMOSTAT_LIBS}/*"
-
-THERM_DIR=${THERMOSTAT_LIBS}
-
-SERVICE_CLASSPATH="${SERVICE_CLASSPATH}:${THERM_DIR}/thermostat-agent-@project.version@.jar:${THERM_DIR}/thermostat-common-@project.version@.jar:${THERM_DIR}/thermostat-tools-@project.version@.jar"
-SERVICE_MAIN="com.redhat.thermostat.agent.AgentApplication"
-
-${JAVA} -cp ${SERVICE_CLASSPATH} ${SERVICE_MAIN} "$@"
-exit $?
--- a/distribution/scripts/thermostat-db	Tue Apr 10 23:19:45 2012 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,65 +0,0 @@
-#!/bin/bash
-#
-# Copyright 2012 Red Hat, Inc.
-#
-# This file is part of Thermostat.
-#
-# Thermostat is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published
-# by the Free Software Foundation; either version 2, or (at your
-# option) any later version.
-#
-# Thermostat is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with Thermostat; see the file COPYING.  If not see
-# <http://www.gnu.org/licenses/>.
-#
-# Linking this code with other modules is making a combined work
-# based on this code.  Thus, the terms and conditions of the GNU
-# General Public License cover the whole combination.
-#
-# As a special exception, the copyright holders of this code give
-# you permission to link this code with independent modules to
-# produce an executable, regardless of the license terms of these
-# independent modules, and to copy and distribute the resulting
-# executable under terms of your choice, provided that you also
-# meet, for each linked independent module, the terms and conditions
-# of the license of that module.  An independent module is a module
-# which is not derived from or based on this code.  If you modify
-# this code, you may extend this exception to your version of the
-# library, but you are not obligated to do so.  If you do not wish
-# to do so, delete this exception statement from your version.
-#
-#####################################################################
-#
-# Some necessary variables.
-JAVA_DIR="@java.dir@"
-JAVA="@java.home@/bin/java"
-
-if [ x"$THERMOSTAT_HOME" = x ] ; then
-  THERMOSTAT_HOME="@thermostat.home@"
-fi
-export THERMOSTAT_HOME
-
-THERMOSTAT_LIBS="${THERMOSTAT_HOME}/libs"
-
-JCOMMON_JAR="${THERMOSTAT_LIBS}/jcommon.jar"
-MONGO_JAR="${THERMOSTAT_LIBS}/mongo.jar"
-BSON_JAR="${THERMOSTAT_LIBS}/bson.jar"
-JOPT_JAR="${THERMOSTAT_LIBS}/jopt-simple-4.3.jar"
-TOOLS_JAR="@java.home@/../lib/tools.jar"
-
-#SERVICE_CLASSPATH="${JCOMMON_JAR}:${MONGO_JAR}:${BSON_JAR}:${TOOLS_JAR}:${JOPT_JAR}"
-SERVICE_CLASSPATH="${THERMOSTAT_LIBS}/*"
-
-THERM_DIR=${THERMOSTAT_LIBS}
-
-SERVICE_CLASSPATH="${SERVICE_CLASSPATH}:${THERM_DIR}/thermostat-agent-@project.version@.jar:${THERM_DIR}/thermostat-common-@project.version@.jar:${THERM_DIR}/thermostat-tools-@project.version@.jar"
-SERVICE_MAIN="com.redhat.thermostat.tools.db.DBService"
-
-${JAVA} -cp ${SERVICE_CLASSPATH} ${SERVICE_MAIN} "$@"
-exit $?
--- a/distribution/scripts/thermostat-service	Tue Apr 10 23:19:45 2012 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,64 +0,0 @@
-#!/bin/bash
-#
-# Copyright 2012 Red Hat, Inc.
-#
-# This file is part of Thermostat.
-#
-# Thermostat is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published
-# by the Free Software Foundation; either version 2, or (at your
-# option) any later version.
-#
-# Thermostat is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with Thermostat; see the file COPYING.  If not see
-# <http://www.gnu.org/licenses/>.
-#
-# Linking this code with other modules is making a combined work
-# based on this code.  Thus, the terms and conditions of the GNU
-# General Public License cover the whole combination.
-#
-# As a special exception, the copyright holders of this code give
-# you permission to link this code with independent modules to
-# produce an executable, regardless of the license terms of these
-# independent modules, and to copy and distribute the resulting
-# executable under terms of your choice, provided that you also
-# meet, for each linked independent module, the terms and conditions
-# of the license of that module.  An independent module is a module
-# which is not derived from or based on this code.  If you modify
-# this code, you may extend this exception to your version of the
-# library, but you are not obligated to do so.  If you do not wish
-# to do so, delete this exception statement from your version.
-#
-#####################################################################
-#
-# Some necessary variables.
-JAVA_DIR="@java.dir@"
-JAVA="@java.home@/bin/java"
-
-if [ x"$THERMOSTAT_HOME" = x ] ; then
-  THERMOSTAT_HOME="@thermostat.home@"
-fi
-export THERMOSTAT_HOME
-THERMOSTAT_LIBS="${THERMOSTAT_HOME}/libs"
-
-JCOMMON_JAR="${THERMOSTAT_LIBS}/jcommon.jar"
-MONGO_JAR="${THERMOSTAT_LIBS}/mongo.jar"
-BSON_JAR="${THERMOSTAT_LIBS}/bson.jar"
-JOPT_JAR="${THERMOSTAT_LIBS}/jopt-simple-4.3.jar"
-TOOLS_JAR="@java.home@/../lib/tools.jar"
-
-#SERVICE_CLASSPATH="${JCOMMON_JAR}:${MONGO_JAR}:${BSON_JAR}:${TOOLS_JAR}:${JOPT_JAR}"
-SERVICE_CLASSPATH="${THERMOSTAT_LIBS}/*"
-
-THERM_DIR=${THERMOSTAT_LIBS}
-
-SERVICE_CLASSPATH="${SERVICE_CLASSPATH}:${THERM_DIR}/thermostat-agent-@project.version@.jar:${THERM_DIR}/thermostat-common-@project.version@.jar:${THERM_DIR}/thermostat-tools-@project.version@.jar"
-SERVICE_MAIN="com.redhat.thermostat.tools.ThermostatService"
-
-${JAVA} -cp ${SERVICE_CLASSPATH} ${SERVICE_MAIN} "$@"
-exit $?